Class Specialization
Joiner
Joins two or three input streams.

Pipe

Joiner

Pipe<Bundle2<TInput1, TInput2>, Joiner>
Pipe<Bundle3<TInput1, TInput2, TInput3>, Joiner>
Include Headers
seqan/pipe.h
Parameters

TInput1 | The type of the first pipeline module this module reads from.
TInput2 | The type of the second pipeline module this module reads from.
TInput3 | The type of the third pipeline module this module reads from.

Remarks
The output type is a compressed Pair or Triple of the input types Value<TInputX>::Type.
Specialization of
Pipe
Member Functions

Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51